summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBin Yang <bin.yang@windriver.com>2017-09-20 05:41:36 +0000
committerGerrit Code Review <gerrit@onap.org>2017-09-20 05:41:36 +0000
commit6879be51fec2101b26b7648c7245e99eb5e64b87 (patch)
treebc8ecd67f030c54b7610af7de0c72c4fe04bd19e
parenta7da9df2316973357945636cc4f122746722a492 (diff)
parentc87724b50dd883a2c250fd9f4c383eddf3ec7e48 (diff)
Merge "add function test cases"
-rw-r--r--ocata/vagrant/Vagrantfile5
-rw-r--r--ocata/vagrant/test/test-compute.sh16
-rw-r--r--ocata/vagrant/test/test-extensions.sh2
-rw-r--r--ocata/vagrant/test/test-identity.sh (renamed from ocata/vagrant/test/test-proxy.sh)1
-rw-r--r--ocata/vagrant/test/test-image.sh8
-rw-r--r--ocata/vagrant/test/test-network.sh15
-rw-r--r--ocata/vagrant/test/test-orchestration.sh (renamed from ocata/vagrant/test/test1.sh)4
-rw-r--r--ocata/vagrant/test/test_multicloud.sh4
-rw-r--r--ocata/vagrant/test/tests7
9 files changed, 53 insertions, 9 deletions
diff --git a/ocata/vagrant/Vagrantfile b/ocata/vagrant/Vagrantfile
index d8b0f955..ac529ef8 100644
--- a/ocata/vagrant/Vagrantfile
+++ b/ocata/vagrant/Vagrantfile
@@ -31,11 +31,10 @@ Vagrant.configure("2") do |config|
end
end
- config.vm.define "multicloud" do |config|
- config.vm.hostname = "multicloud"
+ config.vm.define "onap" do |config|
+ config.vm.hostname = "onap"
config.vm.network "private_network", ip: "192.168.0.30"
config.vm.network :private_network, ip: "192.168.1.30"
- #config.vm.provision "shell", path: "setup_multivm.sh", privileged: false
config.vm.provision "shell", path: "test/test_multicloud.sh", privileged: false
end
diff --git a/ocata/vagrant/test/test-compute.sh b/ocata/vagrant/test/test-compute.sh
new file mode 100644
index 00000000..f68c31f1
--- /dev/null
+++ b/ocata/vagrant/test/test-compute.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -ex
+
+MULTICLOUD_PLUGIN_ENDPOINT=http://172.16.77.40:9004/api/multicloud-ocata/v0/openstack-hudson-dc_RegionOne
+TOKEN=$(curl -v -s -H "Content-Type: application/json" -X POST -d '{ }' $MULTICLOUD_PLUGIN_ENDPOINT/identity/v3/auth/tokens 2>&1 | grep X-Subject-Token | sed "s/^.*: //")
+PROJECT_ID=$(curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/identity/v3/projects 2>/dev/null | python -mjson.tool | grep -B5 "name.*\"admin" | grep '\"id\"' | cut -f4 -d'"')
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/compute/v2.1/$PROJECT_ID/os-hypervisors
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/compute/v2.1/$PROJECT_ID/os-hypervisors/detail
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/identity/v3/projects/$PROJECT_ID
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/compute/v2.1/$PROJECT_ID/flavors
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/compute/v2.1/$PROJECT_ID/flavors/1
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X DELETE $MULTICLOUD_PLUGIN_ENDPOINT/compute/v2.1/$PROJECT_ID/flavors/93 || true
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X POST -d '{"flavor":{"id":"93","vcpus": 4,"name": "test222", "ram":4096, "os-flavor-access:is_public":true,"disk":10 , "swap":1024, "OS-FLV-EXT-DATA:ephemeral":0 }}' $MULTICLOUD_PLUGIN_ENDPOINT/compute/v2.1/$PROJECT_ID/flavors
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/compute/v2.1/$PROJECT_ID/flavors/93
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X DELETE $MULTICLOUD_PLUGIN_ENDPOINT/compute/v2.1/$PROJECT_ID/flavors/93
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/compute/v2.1/$PROJECT_ID/servers
diff --git a/ocata/vagrant/test/test-extensions.sh b/ocata/vagrant/test/test-extensions.sh
index 084d0f8a..c4cfd004 100644
--- a/ocata/vagrant/test/test-extensions.sh
+++ b/ocata/vagrant/test/test-extensions.sh
@@ -1,6 +1,6 @@
#!/bin/bash
+set -ex
MULTICLOUD_PLUGIN_ENDPOINT=http://172.16.77.40:9004/api/multicloud-ocata/v0/openstack-hudson-dc_RegionOne
curl -v -s -H "Content-Type: application/json" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/extensions
-
curl -v -s -H "Content-Type: application/json" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/extensions/epa-caps
diff --git a/ocata/vagrant/test/test-proxy.sh b/ocata/vagrant/test/test-identity.sh
index f12b2e0f..67386106 100644
--- a/ocata/vagrant/test/test-proxy.sh
+++ b/ocata/vagrant/test/test-identity.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -ex
MULTICLOUD_PLUGIN_ENDPOINT=http://172.16.77.40:9004/api/multicloud-ocata/v0/openstack-hudson-dc_RegionOne
TOKEN=$(curl -v -s -H "Content-Type: application/json" -X POST -d '{ }' $MULTICLOUD_PLUGIN_ENDPOINT/identity/v3/auth/tokens 2>&1 | grep X-Subject-Token | sed "s/^.*: //")
diff --git a/ocata/vagrant/test/test-image.sh b/ocata/vagrant/test/test-image.sh
new file mode 100644
index 00000000..6312bf76
--- /dev/null
+++ b/ocata/vagrant/test/test-image.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -ex
+
+MULTICLOUD_PLUGIN_ENDPOINT=http://172.16.77.40:9004/api/multicloud-ocata/v0/openstack-hudson-dc_RegionOne
+TOKEN=$(curl -v -s -H "Content-Type: application/json" -X POST -d '{ }' $MULTICLOUD_PLUGIN_ENDPOINT/identity/v3/auth/tokens 2>&1 | grep X-Subject-Token | sed "s/^.*: //")
+#curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/image/v2/images
+PROJECT_ID=$(curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/identity/v3/projects 2>/dev/null | python -mjson.tool | grep -B5 "name.*\"admin" | grep '\"id\"' | cut -f4 -d'"')
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/identity/v3/projects/$PROJECT_ID
diff --git a/ocata/vagrant/test/test-network.sh b/ocata/vagrant/test/test-network.sh
new file mode 100644
index 00000000..49b1c445
--- /dev/null
+++ b/ocata/vagrant/test/test-network.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -ex
+
+MULTICLOUD_PLUGIN_ENDPOINT=http://172.16.77.40:9004/api/multicloud-ocata/v0/openstack-hudson-dc_RegionOne
+TOKEN=$(curl -v -s -H "Content-Type: application/json" -X POST -d '{ }' $MULTICLOUD_PLUGIN_ENDPOINT/identity/v3/auth/tokens 2>&1 | grep X-Subject-Token | sed "s/^.*: //")
+#curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/network/v2.0/networks
+NETWORK_ID=$(curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X POST -d '{"network":{ "name": "testnetwork1"}}' $MULTICLOUD_PLUGIN_ENDPOINT/network/v2.0/networks 2>/dev/null | python -mjson.tool | grep '"id"' | cut -f4 -d'"')
+echo $NETWORK_ID
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/network/v2.0/networks/$NETWORK_ID
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X HEAD $MULTICLOUD_PLUGIN_ENDPOINT/network/v2.0/networks/$NETWORK_ID
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X DELETE $MULTICLOUD_PLUGIN_ENDPOINT/network/v2.0/networks/$NETWORK_ID
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/network/v2.0/subnets
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/network/v2.0/ports
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/network/v2.0/security-groups
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/network/v2.0/security-group-rules
diff --git a/ocata/vagrant/test/test1.sh b/ocata/vagrant/test/test-orchestration.sh
index b0a75eb2..11f281e4 100644
--- a/ocata/vagrant/test/test1.sh
+++ b/ocata/vagrant/test/test-orchestration.sh
@@ -1,6 +1,6 @@
#!/bin/bash
+set -ex
MULTICLOUD_PLUGIN_ENDPOINT=http://172.16.77.40:9004/api/multicloud-ocata/v0/openstack-hudson-dc_RegionOne
-curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET http://172.16.77.40:9004/api/multicloud-ocata/v0/swagger.json
TOKEN=$(curl -v -s -H "Content-Type: application/json" -X POST -d '{ }' $MULTICLOUD_PLUGIN_ENDPOINT/identity/v3/auth/tokens 2>&1 | grep X-Subject-Token | sed "s/^.*: //")
-curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/identity/v2.0/tenants
+curl -v -s -H "Content-Type: application/json" -H "X-Auth-Token: $TOKEN" -X GET $MULTICLOUD_PLUGIN_ENDPOINT/orchestration/stacks
diff --git a/ocata/vagrant/test/test_multicloud.sh b/ocata/vagrant/test/test_multicloud.sh
index dc007431..1c2534ae 100644
--- a/ocata/vagrant/test/test_multicloud.sh
+++ b/ocata/vagrant/test/test_multicloud.sh
@@ -1,6 +1,8 @@
#!/bin/bash
+set -ex
+
sudo apt-get update -y
-sudo apt-get install -y docker.io
+sudo apt-get install -y docker.io
git clone http://gerrit.onap.org/r/multicloud/openstack
cd openstack/ocata/docker
diff --git a/ocata/vagrant/test/tests b/ocata/vagrant/test/tests
index 1c1d1d1d..276fcd6f 100644
--- a/ocata/vagrant/test/tests
+++ b/ocata/vagrant/test/tests
@@ -1,3 +1,6 @@
-test1.sh
test-extensions.sh
-test-proxy.sh
+test-identity.sh
+test-compute.sh
+test-image.sh
+test-network.sh
+test-orchestration.sh